package com.bwie.product.mapper;

import com.bwie.common.domain.Cart;
import com.bwie.common.domain.Product;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProductMapper {
    List<Product> queryList();

    Product selectProuct(@Param("productId") Integer productId);

    Cart selectCart(@Param("productName") String productName);

    void addCart(Product product);


    void updCart(@Param("price") Integer price, @Param("number") Integer number, @Param("sum") Integer sum, @Param("cartId") Integer cartId);

    List<Cart> queryCart();

    void updProduct(@Param("sale") Integer sale, @Param("inventory") Integer inventory, @Param("productId") Integer productId);

    void delCart(@Param("cartId") String cartId);
}
