package com.bwie.product.service;

import com.bwie.common.domain.Cart;
import com.bwie.common.domain.Product;
import com.bwie.common.result.Result;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ProductService {
    List<Product> queryList();

    Result insertCart(Product product);

    List<Cart> queryCart();

    Result fastUpLoad(MultipartFile multipartFile);

    void delCart(String cartId);
}
