package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(value = "bwie-system")
public interface FeignService {

    @GetMapping("/user/findByTel/{userPhone}")
    public Result<User> findByTel(@PathVariable String userPhone);

}
