package com.bwie.auth.service;

import com.bwie.common.domain.User;
import com.bwie.common.domain.request.UserRequest;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.result.Result;

public interface AuthService {
    Result sendCode(String userPhone);

    Result<JwtResponse> login(UserRequest userRequest);

    User userInfo();

}
