package com.bwie.es.feign;

import com.bwie.common.domain.Product;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(value = "bwie-product")
public interface FeignServiceEs {

    @GetMapping("/product/queryList")
    public Result<List<Product>> queryList();




}
